<ng-container *ngIf = "_reload">

  <!DOCTYPE html>
  <html lang="en">
  
  <head>
    <title>Sign in</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
  </head>
  
  
  
  <body>
    <app-top-menu (loggedOut) = "UsrLoggedOut($event)"></app-top-menu> 
     <!--Categories:-->
    <nav class="categories navbar navbar-expand-lg bg">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button> 
      <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
        <div class="nav navbar-nav" id="nav">
          <div class="col-auto">
            <table>
              <tr> 
                <th>
                  <style>
                    input[type="search"]::-webkit-search-cancel-button {
                      -webkit-appearance: searchfield-cancel-button;
                    }
                  </style>  
                  <input class="form-control form-control-lg form-control-borderless" type="search" [(ngModel)] = "imgSearch" [ngModelOptions]="{standalone: true}"  placeholder="Search photos">
                </th>
              </tr>
            </table>
          </div>
          <span *ngFor = "let cat of categories">
            <li class="nav-item nav-link">
              <a (click) = searchCat(cat)>      
                <button type="button" class="btn btn-outline-primary">{{cat}}</button>
              </a>
            </li>  
          </span>
        </div>
      </div>
    </nav>

    <div *ngIf = "!ok">
    <div  id="main-photo-table" *ngFor="let photo of photos">    
        <img #img1 (load)="loadImg(img1,photo.id)" src = '{{ apiService.url }}/photos/thumbnails/{{ photo.id }}.jpg' height="1px" width="1px"/>
  </div>
    </div>

  <mat-grid-list *ngIf = "photos.length !== 0 && ok && !imgSearch && !category"  cols="16" rowHeight="1:1"> 
    <mat-grid-tile  *ngFor="let photo of photos |filter: imgSearch | filterCat: category; let i=index" 
    [rowspan]="map1.get(photo.id).h" 
    [colspan]="map1.get(photo.id).w" >
    <a (click) = goToPhoto(photo.id)><img  src = '{{ apiService.url }}/photos/thumbnails/{{ photo.id }}.jpg' alt="" style="object-fit: cover; width: 100%; height: 100%;"></a>
    </mat-grid-tile>    
  </mat-grid-list>

<container *ngIf = "photos.length !== 0 && ok && (imgSearch || category)">
<div id="table-cont">
    <div id="main-photo-table">
      <div class="photo-row row"  *ngFor="let photo of photos | filter: imgSearch | filterCat: category;">
          <a (click) = goToPhoto(photo.id)> <img src = '{{ apiService.url }}/photos/thumbnails/{{ photo.id }}.jpg'/></a>
      </div>
    </div>
  </div>
</container>


  <!-- +++++ Podnožje +++++ -->
  
  <div class="card text-center">
    <div class="card-body">
      <h5 class="card-title"></h5>
      <!--<p class="card-text">. . .</p>-->
    </div>
    <div class="card-footer text-muted">
      &#9400; 2020  PhotoWall
    </div>
  </div>
  
  </body>
  </html>
</ng-container>
